Bug 430566 - nsplugins update fixes a number of issues
nsplugins update fixes a number of issues
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 15:19 EST by Sammy
Modified: 2015-07-13 13:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 06:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
nsplugins patch for the issue above (16.22 KB, patch)
2008-01-28 16:37 EST, Sammy
no flags Details | Diff
The first patch (68.08 KB, patch)
2008-01-29 13:55 EST, Sammy
no flags Details | Diff

  None (edit)
Description Sammy 2008-01-28 15:19:47 EST
There have been a number of improvements in the nsplugins
arena for kdebase. The one I use is the ability to use the
32bit nspluginscan/nspluginviewer on x86_64 systems. This
was broken and it was recently fixed. Now running 64bit
konqueror with 32bit nspluginscan/nspluginviewer works
perfectly again. There has been also some mouse support for
flash plugin etc.

If at all possible it would be nice to update the nsplugins
patch from the 3.5 branch.
Thanks,
Umar
Comment 1 Rex Dieter 2008-01-28 15:39:13 EST
last I checked, there was still some flux here...  I'm of a mind to just wait
for 3.5.9 (coming within a couple of weeks).
Comment 2 Rex Dieter 2008-01-28 15:48:10 EST
that is unless someone else (not me) is willing to put forth the time/effort for
an interim update/fix.  :)
Comment 3 Sammy 2008-01-28 16:37:16 EST
Created attachment 293204 [details]
nsplugins patch for the issue above

This patch just has the part for dealing with problems on
64 bit machines. I have used it for about a week now.
Comment 4 Sammy 2008-01-29 13:55:35 EST
Created attachment 293319 [details]
The first patch

The previous patch should be applied after the original flash
patch that also contains the new files for glibevents.cpp, glibevents.h,
etc. I am attaching the first patch.
Comment 5 Eli Wapniarski 2008-01-31 14:30:26 EST
Looks like the nsplugin patch did the trick. I expanded the took the 3.5.8-31 
SRPM and modified the SPEC file to include the patch. I had to modify the 
patch itself so all the lines that read. 

  diff -ur nsplugins
  --- nsplugins
  +++ nsplugins.new

to

  diff -ur kdebase-3.5.8/nsplugins
  --- kdebase-3.5.8/nsplugins
  +++ kdebase-3.5.8/nsplugins.new

kdebase compiled just fine and I have flash running in konqueror.

Thank you. For helping to get this to work.
Comment 6 Lukáš Tinkl 2008-02-08 06:49:26 EST
An update to kdebase including this patch has been released.

Note You need to log in before you can comment on or make changes to this bug.